*{
    padding: 0;
    margin: 0;
}

body {
    background-image: url(../images/Фон\ 1.png); 
    background-size: cover; 
    background-repeat: no-repeat; 
}

header{
    height: 58px;
    background: rgba(0, 0, 0, 0.40);
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    display: flex;
    align-items: center;
    padding: 0 79px;
    justify-content: space-between;
}
.logo{
    color: #FFF;
    font-family: Ubuntu;
    font-size: 22px;
    font-weight: 700;
    line-height: 22px;
    text-decoration: none;
    transition: color 0.3s ease-in-out;
}
.icons-text-wrapper{
    display: flex;
    gap: 53px;
    align-items: center;
}
.welcome-text{
    color: #FFF;
    font-family: Ubuntu;
    font-size: 14px;
    font-weight: 400;
    position: relative;
}
.welcome-text::before{
    content: "";
    position: absolute;
    top: 0;
    left: -27px;
    width: 1px; 
    height: 100%;
    opacity: 0.5;
    background-color: rgba(255, 255, 255, 0.90);
}
.login, .signup {
    text-decoration: none;
    color: #FFF;
    font-family: Ubuntu;
    font-size: 14px;
    font-weight: 400;
    transition: color 0.3s ease-in-out;
}
.icons ul{
    list-style: none;
    gap: 25px;
    display: flex;
}

.icon path{
    transition: fill 0.3s ease-in-out;
}

.login:hover, .signup:hover {
    color: #2e6c3e;
}

.form{
    width: 444px;
    height: 584px;
    background-color: #FFF;
    box-shadow: 0px 4px 18px 0px rgba(0, 0, 0, 0.52); 
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 31px 61px 38px;
    box-sizing: border-box;
}

.sign-up-container{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    box-sizing: border-box;
    justify-content: space-between;
    grid-gap: 14px 8px;
}
.title-signup{
    color: #434343;
    text-align: start;
    font-family: Ubuntu;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 20px;
}

.title-signup::before{
    content: "";
    position: absolute;
    top: 33px;
    left: 0;
    width: 18px;
    height: 18px;
    background-color: #3CB878;
}
.login-in-form{
    text-decoration: none;
    font-family: Ubuntu;
    font-size: 14px;
    font-weight: 400;
    color: #3CB878;
    text-align: end;
    align-self:last baseline;
    transition: color 0.3s ease-in-out;
}

.login-in-form:hover{
    text-decoration: underline;
    color: #01813F;
}

button{
    all: unset;
    cursor: pointer;
}

.log-button{
    width: 157px;
    height: 48px;
    border-radius: 4px;
    color: #FFF;
    font-family: Ubuntu;
    font-size: 16px;
    font-style: normal;
    font-weight: 400;
    line-height: 16px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    align-self: center;
}

.facebook{
    background-color: #305DB8;
    text-align: end;
    padding: 0 22px 0 11px;
    box-sizing: border-box;
    transition: background-color 0.3s ease-in-out;
}

.google{
    background-color: #DF4A32;
    text-align: end;
    padding: 0 27px 0 12px;
    box-sizing: border-box;
    transition: background-color 0.3s ease-in-out;
}

.icon-google{
    width: 30px;
    height: 19px;
    background-image: url(../images/G+.png); 
    background-repeat: no-repeat;
    position: relative;
}

.icon-google::after {
    content: '';
    position: absolute;
    top: -4px;
    left: 38px;
    opacity: 0.1;
    background-color: #2B0D09;
    width: 1px;
    height: 28px;
}
.icon-facebook{
    width: 24px;
    height: 24px;
    background-image: url(../images/F.png); 
    background-repeat: no-repeat;
    position: relative;
}

.icon-facebook::after {
    content: '';
    position: absolute;
    top: -2px;
    left: 34px;
    opacity: 0.1;
    background-color: #0A162F;;
    width: 1px;
    height: 28px;
}

.or-lines{
    text-align: center;
    color: #848484;
    font-family: Ubuntu;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px; 
    margin-top: 31px;
    margin-bottom: 12px;
    position: relative;
}

.or-lines::after{
    content: '';
    position: absolute;
    width: 152px;
    height: 1px;
    background: #F2F2F2;
    top: 8px;
    right: 0px;
}
.or-lines::before{
    content: '';
    position: absolute;
    width: 152px;
    height: 1px;
    background: #F2F2F2;
    top: 8px;
    left: 0px;
}

.input{
    all: unset;
    border-radius: 4px;
    border: 1px solid #F2F2F2;
    color: #434343;
    font-family: Ubuntu;
    font-size: 14px;
    font-weight: 400;
    line-height: 14px; 
    width: 324px;
    height: 44px;
    padding: 0 20px;
    box-sizing: border-box;
    margin-bottom: 15px;
}

.input:last-of-type{
    margin-bottom: 12px;
}

.input::placeholder{
    color: #BEBEBE;
}

.input:focus{
    background-color: #FFF;
    filter: drop-shadow(0px 3px 8px rgba(0, 0, 0, 0.21));
}

.checkbox-text{
    color: #434343;
    font-family: Ubuntu;
    font-size: 14px;
    font-style: normal;
    font-weight: 400;
    line-height: 14px;
}
.green{
    text-decoration: none;
    color: #3CB878;
    transition: color 0.3s ease-in-out;
}

.green:hover{
    color: #01813F;
    text-decoration: underline;
}

.classic-checkbox{
    display: none;
}

.custom-checkbox{
    display: inline-block;
    width: 20px;
    height: 20px;
    background-color: #FFF;
    border: 1px solid #F2F2F2;
    margin-right: 8px;
    vertical-align: middle;
    position: relative;
    margin-top: -3px;
    
}
.custom-checkbox::before{
    content: '';
    display: inline-block;
    width: 18px;
    height: 18px;
    background-image: url(../images/Vector\ 1.svg);
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    top: 1px;
    left: 2px;
    opacity: 0;
}
.classic-checkbox:checked + .custom-checkbox::before{
    opacity: 1;
}

.create-account{
    all: unset;
    margin-top: 20px;
    width: 324px;
    height: 46px;
    border-radius: 4px;
    background-color: rgba(60, 184, 120, 0.80);
    color: #FFF;
    font-family: Ubuntu;
    font-size: 16px;
    font-weight: 400;
    line-height: 16px;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s ease-in-out;
}

.create-account:hover{
    background-color: #01813F;
}

.logo:hover{
    color: #2e6c3e;
}

.icon:hover path {
    fill: #2e6c3e;; 
}

.facebook:hover{
    background-color: #022263;
}

.google:hover{
    background-color: #AB1F09;
}